Package Details: nagstamon 3.2.1-2

Git Clone URL: https://aur.archlinux.org/nagstamon.git (read-only)
Package Base: nagstamon
Description: Nagios status monitor for the desktop
Upstream URL: https://nagstamon.ifw-dresden.de/
Licenses: GPL
Submitter: ghostbuster
Maintainer: ghostbuster
Last Packager: ghostbuster
Votes: 13
Popularity: 0.000022
First Submitted: 2015-08-09 16:15
Last Updated: 2019-11-19 22:04

Latest Comments

1 2 3 Next › Last »

ghostbuster commented on 2019-11-19 22:03

package build for nagstamon is working again. I added the workaround wuestengecko proposed.

badpixelbr commented on 2019-11-18 13:23

cant build this package. after makepkg -sriC i got:

Traceback (most recent call last): File "setup.py", line 36, in <module> DIST, DIST_VERSION, DIST_NAME = platform.dist() AttributeError: module 'platform' has no attribute 'dist' ==> ERROR: A failure occurred in package(). Aborting...

wuestengecko commented on 2019-11-14 16:54

Python 3.8 removes platform.dist(), which is needed by setup.py. The following script stubs it out with the value it used to return:

sed -i setup.py -e "s/platform.dist()/('arch', '', '')/g"

ghostbuster commented on 2018-07-10 21:49

The observed issues was caused by a keyring connection initialization triggered by a python import in the fakeroot environment used for the package build. I modified the PKGBUILD to work around the not working (but also not really needed) import. Building the package should work again for all environments.

presianbg commented on 2018-07-05 19:14

@ghostbuster Sent on your e-mail. Thanks for looking into this.

ghostbuster commented on 2018-07-05 18:39

I can confirm the posted traceback for my own system but the build does not fail in a clean change root. I assume there is some kind of interference with other python packages in the environment. I'll investigate the issue, but it will take some time. Please build nagstamon in a clean chroot until I figured out the root cause for this traceback.

@presianbg: Could you send me the output of 'python --version' and 'pacman -Qs python' of the affected system by mail?

presianbg commented on 2018-07-05 18:00

I have some problems with building this app:

==> Starting package()...
Traceback (most recent call last):
  File "setup.py", line 26, in <module>
    from Nagstamon.Config import AppInfo
  File "/tmp/yaourt-tmp-pyankulov/aur-nagstamon/src/Nagstamon/Nagstamon/Config.py", line 29, in <module>
    import keyring
  File "/usr/lib/python3.6/site-packages/keyring/__init__.py", line 3, in <module>
    from .core import (set_keyring, get_keyring, set_password, get_password,
  File "/usr/lib/python3.6/site-packages/keyring/core.py", line 154, in <module>
    init_backend()
  File "/usr/lib/python3.6/site-packages/keyring/core.py", line 67, in init_backend
    keyrings = filter(limit, backend.get_all_keyring())
  File "/usr/lib/python3.6/site-packages/keyring/util/__init__.py", line 21, in wrapper
    func.always_returns = func(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/keyring/backend.py", line 179, in get_all_keyring
    exceptions=TypeError))
  File "/usr/lib/python3.6/site-packages/keyring/util/__init__.py", line 31, in suppress_exceptions
    for callable in callables:
  File "/usr/lib/python3.6/site-packages/keyring/backend.py", line 171, in is_class_viable
    keyring_cls.priority
  File "/usr/lib/python3.6/site-packages/keyring/util/properties.py", line 24, in __get__
    return self.fget.__get__(None, owner)()
  File "/usr/lib/python3.6/site-packages/keyring/backends/SecretService.py", line 37, in priority
    bus = secretstorage.dbus_init()
  File "/usr/lib/python3.6/site-packages/secretstorage/__init__.py", line 41, in dbus_init
    return connect_and_authenticate()
  File "/usr/lib/python3.6/site-packages/jeepney/integrate/blocking.py", line 76, in connect_and_authenticate
    auth_parser.feed(sock.recv(1024))
  File "/usr/lib/python3.6/site-packages/jeepney/auth.py", line 25, in feed
    line, self.buffer = self.buffer.split(b'\r\n', 1)
ValueError: not enough values to unpack (expected 2, got 1)
==> ERROR: A failure occurred in package().
    Aborting...

ghostbuster commented on 2018-06-24 18:15

I added python-dbus to the dependencies

ogarcia commented on 2018-06-22 06:56

TL/DR: There is a missing dependency of python-dbus

If I try to build nagstamon in a clean install I have the following error.

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/keyring/backends/kwallet.py", line 37, in priority
    bus = dbus.SessionBus(mainloop=DBusGMainLoop())
AttributeError: module 'dbus' has no attribute 'SessionBus'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 26, in <module>
    from Nagstamon.Config import AppInfo
  File "/build/nagstamon/src/Nagstamon/Nagstamon/Config.py", line 29, in <module>
    import keyring
  File "/usr/lib/python3.6/site-packages/keyring/__init__.py", line 3, in <module>
    from .core import (set_keyring, get_keyring, set_password, get_password,
  File "/usr/lib/python3.6/site-packages/keyring/core.py", line 154, in <module>
    init_backend()
  File "/usr/lib/python3.6/site-packages/keyring/core.py", line 67, in init_backend
    keyrings = filter(limit, backend.get_all_keyring())
  File "/usr/lib/python3.6/site-packages/keyring/util/__init__.py", line 21, in wrapper
    func.always_returns = func(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/keyring/backend.py", line 173, in get_all_keyring
    exceptions=TypeError))
  File "/usr/lib/python3.6/site-packages/keyring/util/__init__.py", line 31, in suppress_exceptions
    for callable in callables:
  File "/usr/lib/python3.6/site-packages/keyring/backend.py", line 165, in is_class_viable
    keyring_cls.priority
  File "/usr/lib/python3.6/site-packages/keyring/util/properties.py", line 24, in __get__
    return self.fget.__get__(None, owner)()
  File "/usr/lib/python3.6/site-packages/keyring/backends/kwallet.py", line 38, in priority
    except dbus.DBusException as exc:
AttributeError: module 'dbus' has no attribute 'DBusException'

But if I install python-dbus all work fine.

tsipizic commented on 2017-09-21 11:38

Hello,
Link in PKGBUILD returns 404. This is the correct one now
https://nagstamon.ifw-dresden.de/files/stable/Nagstamon-3.0.1.tar.gz